<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: FileSystem Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classFileSystem-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FileSystem Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classFile.html" title="A logical representation of a file.">File</a> system utilities.  
 <a href="classFileSystem.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="FileSystem_8h_source.html">FileSystem.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a300fa44365bef5cfc3abfb6a9ad117ee"><td class="memItemLeft" align="right" valign="top">static std::vector&lt; <a class="el" href="classFile.html">File</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileSystem.html#a300fa44365bef5cfc3abfb6a9ad117ee">getDirectoryContents</a> (std::string path)</td></tr>
<tr class="memdesc:a300fa44365bef5cfc3abfb6a9ad117ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the contents of a directory.  <a href="#a300fa44365bef5cfc3abfb6a9ad117ee">More...</a><br /></td></tr>
<tr class="separator:a300fa44365bef5cfc3abfb6a9ad117ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d26f2ead3b09835e795250b3140bdea"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileSystem.html#a1d26f2ead3b09835e795250b3140bdea">dumpDirectory</a> (std::string path)</td></tr>
<tr class="memdesc:a1d26f2ead3b09835e795250b3140bdea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump a given directory to the log.  <a href="#a1d26f2ead3b09835e795250b3140bdea">More...</a><br /></td></tr>
<tr class="separator:a1d26f2ead3b09835e795250b3140bdea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac9e04e4ec84a9edbf43fe0577d77305"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileSystem.html#aac9e04e4ec84a9edbf43fe0577d77305">isDirectory</a> (std::string path)</td></tr>
<tr class="memdesc:aac9e04e4ec84a9edbf43fe0577d77305"><td class="mdescLeft">&#160;</td><td class="mdescRight">Does the path refer to a directory?  <a href="#aac9e04e4ec84a9edbf43fe0577d77305">More...</a><br /></td></tr>
<tr class="separator:aac9e04e4ec84a9edbf43fe0577d77305"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc239ff3e7e3d725a025441e4d7d4f8f"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileSystem.html#afc239ff3e7e3d725a025441e4d7d4f8f">mkdir</a> (std::string path)</td></tr>
<tr class="memdesc:afc239ff3e7e3d725a025441e4d7d4f8f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a directory.  <a href="#afc239ff3e7e3d725a025441e4d7d4f8f">More...</a><br /></td></tr>
<tr class="separator:afc239ff3e7e3d725a025441e4d7d4f8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa984bbcf530da4ee990bb353f579055a"><td class="memItemLeft" align="right" valign="top">static std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileSystem.html#aa984bbcf530da4ee990bb353f579055a">pathSplit</a> (std::string path)</td></tr>
<tr class="memdesc:aa984bbcf530da4ee990bb353f579055a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the constituent parts of the path. If we imagine a path as composed of parts separated by slashes, then this function returns a vector composed of the parts. For example:  <a href="#aa984bbcf530da4ee990bb353f579055a">More...</a><br /></td></tr>
<tr class="separator:aa984bbcf530da4ee990bb353f579055a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dbe34309a1663db28419a65cf8850fc"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFileSystem.html#a9dbe34309a1663db28419a65cf8850fc">remove</a> (std::string path)</td></tr>
<tr class="memdesc:a9dbe34309a1663db28419a65cf8850fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a file from the file system.  <a href="#a9dbe34309a1663db28419a65cf8850fc">More...</a><br /></td></tr>
<tr class="separator:a9dbe34309a1663db28419a65cf8850fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classFile.html" title="A logical representation of a file.">File</a> system utilities. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1d26f2ead3b09835e795250b3140bdea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d26f2ead3b09835e795250b3140bdea">&#9670;&nbsp;</a></span>dumpDirectory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FileSystem::dumpDirectory </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Dump a given directory to the log. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">path</td><td>The path to the directory to dump. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="a300fa44365bef5cfc3abfb6a9ad117ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a300fa44365bef5cfc3abfb6a9ad117ee">&#9670;&nbsp;</a></span>getDirectoryContents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; <a class="el" href="classFile.html">File</a> &gt; FileSystem::getDirectoryContents </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the contents of a directory. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">path</td><td>The path to the directory. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A vector of Files in the directory. </dd></dl>

</div>
</div>
<a id="aac9e04e4ec84a9edbf43fe0577d77305"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac9e04e4ec84a9edbf43fe0577d77305">&#9670;&nbsp;</a></span>isDirectory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool FileSystem::isDirectory </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Does the path refer to a directory? </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">path</td><td>The path to the directory. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="afc239ff3e7e3d725a025441e4d7d4f8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc239ff3e7e3d725a025441e4d7d4f8f">&#9670;&nbsp;</a></span>mkdir()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int FileSystem::mkdir </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Create a directory. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">path</td><td>The directory to create. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="aa984bbcf530da4ee990bb353f579055a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa984bbcf530da4ee990bb353f579055a">&#9670;&nbsp;</a></span>pathSplit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::string &gt; FileSystem::pathSplit </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the constituent parts of the path. If we imagine a path as composed of parts separated by slashes, then this function returns a vector composed of the parts. For example: </p>
<div class="fragment"><div class="line">/x/y/z</div></div><!-- fragment --><p> will break out to:</p>
<div class="fragment"><div class="line">path[0] = <span class="stringliteral">&quot;&quot;</span></div><div class="line">path[1] = <span class="stringliteral">&quot;x&quot;</span></div><div class="line">path[2] = <span class="stringliteral">&quot;y&quot;</span></div><div class="line">path[3] = <span class="stringliteral">&quot;z&quot;</span></div></div><!-- fragment --><dl class="section return"><dt>Returns</dt><dd>A vector of the constituent parts of the path. </dd></dl>

</div>
</div>
<a id="a9dbe34309a1663db28419a65cf8850fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9dbe34309a1663db28419a65cf8850fc">&#9670;&nbsp;</a></span>remove()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int FileSystem::remove </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Remove a file from the file system. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">path</td><td>The path to the file to be removed. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The return code of the underlying call. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="FileSystem_8h_source.html">FileSystem.h</a></li>
<li>FileSystem.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
